Attribute VB_Name = "FAD24"
Option Explicit

'
' Device status (Return value)
'
Public Const FAD24_OK As Long = 0
Public Const FAD24_INVALID_HANDLE As Long = 1
Public Const FAD24_DEVICE_NOT_FOUND As Long = 2
Public Const FAD24_DEVICE_NOT_OPENED As Long = 3
Public Const FAD24_OTHER_ERROR As Long = 4
Public Const FAD24_COMMUNICATION_ERROR As Long = 5
Public Const FAD24_INVALID_PARAMETER As Long = 6

'
' Sampling Rate
'
Public Const FAD24_SAMPLING_RATE_50KSPS As Long = 1
Public Const FAD24_SAMPLING_RATE_25KSPS As Long = 2
Public Const FAD24_SAMPLING_RATE_10KSPS As Long = 5
Public Const FAD24_SAMPLING_RATE_5KSPS As Long = 10
Public Const FAD24_SAMPLING_RATE_2_5KSPS As Long = 20
Public Const FAD24_SAMPLING_RATE_1KSPS As Long = 50
Public Const FAD24_SAMPLING_RATE_500SPS As Long = 100
Public Const FAD24_SAMPLING_RATE_250SPS As Long = 200
Public Const FAD24_SAMPLING_RATE_100SPS As Long = 500
Public Const FAD24_SAMPLING_RATE_50SPS As Long = 1000
Public Const FAD24_SAMPLING_RATE_25SPS As Long = 2000
Public Const FAD24_SAMPLING_RATE_10SPS As Long = 5000
Public Const FAD24_SAMPLING_RATE_5SPS As Long = 10000
Public Const FAD24_SAMPLING_RATE_2_5SPS As Long = 20000
Public Const FAD24_SAMPLING_RATE_1SPS As Long = 50000

'
' Sampling Edge
'
Public Const FAD24_SAMPLING_EDGE_ON As Byte = 0
Public Const FAD24_SAMPLING_EDGE_OFF As Byte = 1

'
' Trigger Type
'
Public Const FAD24_TRIGGER_TYPE_NONE As Byte = 0
Public Const FAD24_TRIGGER_TYPE_LEVEL_H As Byte = 1
Public Const FAD24_TRIGGER_TYPE_LEVEL_L As Byte = 2
Public Const FAD24_TRIGGER_TYPE_SLOPE_RISING As Byte = 3
Public Const FAD24_TRIGGER_TYPE_SLOPE_FALLING As Byte = 4
Public Const FAD24_TRIGGER_TYPE_EDGE_ON As Byte = 5
Public Const FAD24_TRIGGER_TYPE_EDGE_OFF As Byte = 6


'
' Device Functions
'
Public Declare Function FAD24_GetNumberOfDevices Lib "FAD24.dll" (ByRef Number As Long) As Long
Public Declare Function FAD24_GetSerialNumber Lib "FAD24.dll" (ByVal Index As Long, ByRef SerialNumber As Long) As Long
Public Declare Function FAD24_Open Lib "FAD24.dll" (ByRef ID As Byte) As Long
Public Declare Function FAD24_OpenBySerialNumber Lib "FAD24.dll" (ByVal SerialNumber As Long, ByRef ID As Byte) As Long
Public Declare Function FAD24_Close Lib "FAD24.dll" (ByVal ID As Byte) As Long

'
' A/D Functions
'
Public Declare Function FAD24_Acquisition Lib "FAD24.dll" (ByVal ID As Byte, ByRef Value As Double, ByVal SamplingRate As Long, ByVal SamplingCount As Long, ByVal TriggerType As Byte, ByVal TriggerThreshold As Double, ByVal TriggerWaitCount As Long, ByRef AcquisitionCount As Long) As Long
Public Declare Function FAD24_AcquisitionExt Lib "FAD24.dll" (ByVal ID As Byte, ByRef Value As Double, ByVal SamplingEdge As Byte, ByVal SamplingCount As Long, ByVal SamplingEdgeWaitCount As Long, ByVal TriggerType As Byte, ByVal TriggerThreshold As Double, ByVal TriggerWaitCount As Long, ByRef AcquisitionCount As Long) As Long
Public Declare Function FAD24_AcquisitionSingle Lib "FAD24.dll" (ByVal ID As Byte, ByRef Value As Double) As Long
